# Logging Configuration for services inside the cluster
#######################################################

# Alpha Cloudwatch logging configuration
########################################
resource "aws_cloudwatch_log_group" "alpha" {
  name = "${var.athens_prefix}-alpha-log"
  retention_in_days = 7
}

# Alpha logging role 
#####################
resource "aws_iam_role" "alpha_iam_role" {
  name = "${var.athens_prefix}-alpha-iam-role"
  assume_role_policy = jsonencode({
    Version = "2012-10-17"
    Statement = [
      {
        Action = "sts:AssumeRole"
        Principal = {
          Service = [ "ecs-tasks.amazonaws.com" ]
        }
        Effect = "Allow"
      }
    ]
  })
}

